## openconnect-gui 0.5-2

=== Makefile ===
CFLAGS = `pkg-config hildon-1 --cflags`
LDFLAGS = `pkg-config hildon-1 --libs`

OPENCONNECT_GUI_OBJS := main.o about.o profiles.o
WRAPPER_OBJS := openconnect-wrapper.o 

all: openconnect-gui openconnect-wrapper

%.o: %.c
	$(CC) -Wall -c -o $@ $(CFLAGS) $< -MD -MF .$@.dep

openconnect-gui: $(OPENCONNECT_GUI_OBJS)
	$(CC) -o $@ $^ $(LDFLAGS)

openconnect-wrapper: $(WRAPPER_OBJS)
	$(CC) -o $@ $^

install: all
	mkdir -p $(DESTDIR)/usr/bin 
	install -m4755 openconnect-wrapper $(DESTDIR)/usr/bin
	install -m0755 openconnect-gui $(DESTDIR)/usr/bin


clean:
	$(RM) -f *.o *.a openconnect-gui openconnect-wrapper core $(wildcard .*.o.dep)

realclean: clean
	$(RM) -f *~

.PHONY: all clean realclean

## openconnect-gui 0.5

=== debian/changelog ===
openconnect-gui (0.5) unstable; urgency=low

  * Initial Release.

 -- Pascal Jermini <lorelei@garage.maemo.org>  Wed, 30 Dec 2009 02:15:16 +0100

=== debian/control ===
Source: openconnect-gui
Section: user/network
Priority: optional
Maintainer: Pascal Jermini <lorelei@garage.maemo.org>
Build-Depends: debhelper (>= 5), libgconf2-dev, libhildon1-dev, libgtk2.0-dev
Standards-Version: 3.7.2

Package: openconnect-gui
Architecture: any
Depends: ${shlibs:Depends}, openconnect (>=2.12-3maemo1), libgtk2.0, libhildon1
Description: GUI for OpenConnect VPN client
 This is a graphical interface for the OpenConnect VPN client. 
 OpenConnect is a free implementation of Cisco's AnyConnect SSL VPN, which is 
 supported by IOS 12.4(9)T or later on Cisco SR500, 870, 880, 1800, 2800, 3800,
 7200 Series and Cisco 7301 Routers. 
 Original webpage for OpenConnect: http://www.infradead.org/openconnect.html

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/openconnect-gui.sgml > openconnect-gui.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/openconnect-gui.
	$(MAKE) DESTDIR=$(CURDIR)/debian/openconnect-gui install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## openconnect-gui 0.5-2

=== debian/changelog ===
openconnect-gui (0.5-2) unstable; urgency=low

  * Fixed wrong dependencies in debian/control

 -- Pascal Jermini <lorelei@garage.maemo.org>  Wed, 30 Dec 2009 12:05:01 +0100

## openconnect-gui 0.5-3

=== Makefile ===
--- 
+++ 
@@ -19,6 +19,8 @@
 	mkdir -p $(DESTDIR)/usr/bin 
 	install -m4755 openconnect-wrapper $(DESTDIR)/usr/bin
 	install -m0755 openconnect-gui $(DESTDIR)/usr/bin
+	mkdir -p $(DESTDIR)/usr/share/applications/hildon/
+	install -m0644 debian/openconnect-gui.desktop $(DESTDIR)/usr/share/applications/hildon/
 
 
 clean:

=== debian/changelog ===
openconnect-gui (0.5-3) unstable; urgency=low

  * Fixed output parsing from openconnect
  * Misc. fixes here and there
  * Added missing .desktop file

 -- Pascal Jermini <lorelei@garage.maemo.org>  Thu, 31 Dec 2009 01:56:06 +0100

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: user/network
 Priority: optional
 Maintainer: Pascal Jermini <lorelei@garage.maemo.org>
-Build-Depends: debhelper (>= 5), libgconf2-dev, libhildon1-dev, libgtk2.0-dev
+Build-Depends: debhelper (>= 5), libgconf2-dev, libhildon1-dev, libgtk2.0-dev, pkg-config
 Standards-Version: 3.7.2
 
 Package: openconnect-gui
 Architecture: any
-Depends: ${shlibs:Depends}, openconnect (>=2.12-3maemo1), libgtk2.0, libhildon1
+Depends: ${shlibs:Depends}, openconnect (>=2.12-3maemo1), libhildon1
 Description: GUI for OpenConnect VPN client
  This is a graphical interface for the OpenConnect VPN client. 
  OpenConnect is a free implementation of Cisco's AnyConnect SSL VPN, which is

## openconnect-gui 0.5-4

=== debian/changelog ===
openconnect-gui (0.5-4) unstable; urgency=low

  * Fixed openconnect dependency, added icon

 -- Pascal Jermini <lorelei@garage.maemo.org>  Wed,  6 Jan 2010 22:24:00 +0100

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,33 @@
 
 Package: openconnect-gui
 Architecture: any
-Depends: ${shlibs:Depends}, openconnect (>=2.12-3maemo1), libhildon1
+Depends: ${shlibs:Depends}, openconnect (>=2.12-4maemo1), libhildon1
 Description: GUI for OpenConnect VPN client
  This is a graphical interface for the OpenConnect VPN client. 
  OpenConnect is a free implementation of Cisco's AnyConnect SSL VPN, which is 
  supported by IOS 12.4(9)T or later on Cisco SR500, 870, 880, 1800, 2800, 3800,
  7200 Series and Cisco 7301 Routers. 
  Original webpage for OpenConnect: http://www.infradead.org/openconnect.html
+XB-Maemo-Icon-26:
+ iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAABHNCSVQICAgI
+ fAhkiAAAAAlwSFlzAAAKYQAACmEB/MxKJQAAABl0RVh0U29mdHdhcmUAd3d3
+ Lmlua3NjYXBlLm9yZ5vuPBoAAAMdSURBVGiB7ZlNaxNBGMd/07w0aWIppTbU
+ l+IqmLYhFAI9ldZt9eBBRPwGPeTosVe/gB+gF/0ARQT10lNpEMWLepAWFKsI
+ QsUgWCvEltg8HpKl6bb7nmxS6B8W5iXzn/ntM5mZ3VUiwklWT6cHEFSnAJ3W
+ KUCndQrQKimlIr7adWofUEqNA3OADlwDksBLoASsAW9FpOZoJCKhXkAMeAiI
+ w7UGDDr5hRoBpdQg8ATQI5EIs7Oz6LqOruuk02lKpRKlUonV1VUqlQrAJnBL
+ RD5amoZ45zXgEyD9/f2ysrIiVlpfXxdN04xI/AJmLH1DBHgOiKZpsrGxYTl4
+ Q+VyWaanpw2ITSDWMQBgBpBIJOJq8IZ2dnYkk8kYEPc6CfAakGKx6HrwhpaW
+ lgyAMnAmdADgDiB9fX2ytbXlGaBarcrY2JgBcd/sH8ZGdhNgYWGBkZERz42j
+ 0SiLi4tG9rq5PgyAcYBCoeDbYHJy0khOmOtCA5iYONK3a2WzWSM5pJQabq5r
+ K0Bj4zqbTCbJ5/O+fdLpNLlczsjmmuvaHQENYGpqilQqFchofn7eSF5uLm83
+ wB5AreZ8JnM02tszkvvN5VG7RkqpBPU5fAl7WGVR3gs82N7eTi0vL58fGBj4
+ rZTydfhKJBLvgS/Au0MdN9bqoyNSKg4UgbjLPqwgmvUHeCRujskuZReBPHDG
+ o58TRC9wFfjg0ddSdgDZRode5QSRJSSAXtoD4HZKupIdQAx/AGAPYbtweFW7
+ AMAa4sQAwPEQsYCehxQUIAoUgFHgG/U1umr6jRmiqyJwhfqqAvXl8S9gfgA3
+ A3RVBIZN+Qzw1aGNrxdYVgoK8AO4wMFd/u6iTVdFoEJ9zseBGrDrok1X/QdG
+ OdiYenC3y3ZNBOLAOVPZIDBE/dDmp0/PCgJwkeOP2KPAZ+pvEbz26Vl+ART1
+ uf/Toj7F0f2g2bdlChKBik1dj03brohAEIUWgX3aA/CvlWZ2AM+Au63srKGn
+ rTRzeiZ+g+k9TEC9EJG5FvrZf6FRSingBnCbYHN3F3gsIq8CeByrjn3ka5W6
+ 5jOrX514gP/S36njjPTlPAAAAABJRU5ErkJggg==
+

## openconnect-gui 0.5-5

=== debian/changelog ===
openconnect-gui (0.5-5) unstable; urgency=low

  * Updated icon

 -- Pascal Jermini <lorelei@garage.maemo.org>  Thu,  7 Jan 2010 00:18:37 +0100

=== debian/control ===
Source: openconnect-gui
Section: user/network
Priority: optional
Maintainer: Pascal Jermini <lorelei@garage.maemo.org>
Build-Depends: debhelper (>= 5), libgconf2-dev, libhildon1-dev, libgtk2.0-dev, pkg-config
Standards-Version: 3.7.2

Package: openconnect-gui
Architecture: any
Depends: ${shlibs:Depends}, openconnect (>=2.12-4maemo1), libhildon1
Description: GUI for OpenConnect VPN client
 This is a graphical interface for the OpenConnect VPN client. 
 OpenConnect is a free implementation of Cisco's AnyConnect SSL VPN, which is 
 supported by IOS 12.4(9)T or later on Cisco SR500, 870, 880, 1800, 2800, 3800,
 7200 Series and Cisco 7301 Routers. 
 Original webpage for OpenConnect: http://www.infradead.org/openconnect.html
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
 6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAAKYQAACmEB/MxKJQAAAAd0
 SU1FB9oBBhcOE2QuOiAAAAK+SURBVGje7ZrPaxNREMc/L7ubqjE9SJFQi/QH
 QgVFhVIwoNGCCAFBvHrx6s0/wKMn9eYfIF7jRVAPuagXRY1FihTEH3ixCCL+
 qCLYuo6XWQih2d1s0vdS2AfDbsjMZL5v5r35vkeMiLCVR4EtPnIAOYAcQA5g
 MMMYUzLGBD3bueoDxpgRoAacAE4Cc8Af4DHwEHgEPJOkAEXEugDjQAuQBLkN
 bI/15SD4OWBFA/wK3AIuAFPAYeAScAdYU50WMD4UAIAzwG8N7BUwGaNbA76o
 7kdg1ikAoAR80oDuAuUUNtPAsto0XQO4rIF8AIo92M20ldOCEwDAGPBDgzif
 wf6G2j53BeCaBvAy2rp7tN8NrKqPs+3f2WpkNX1elQyNR0Q+Azf144KLTjyr
 z6U+fES2+60CMMZMAGUgBN714er1RgB8C7Mf/aAnItNZnTSbzbBerxOG4R5j
 zKiIrFqhEsDFiBr066tSqUQU44jNRby2CT7/piohY0xB67cMBKqfRa5Uq9Vf
 jUYD389etUEQnNYJeZ9Ip40xBpgAtmnwcVJMoRMoD7ouIv9sHGh2AiM6g0mB
 tc92nN4YcNDWiazcEWCQUpJ0D9gC4PcYWC+6VgB4GQJLo+u5ykDQZSfqFYTn
 MgNZysXfTAB+nwBKwDngkHKVB8p54kD4tgCkKZEqcEz154GfwGJC6RVsrwE/
 plRmOmwmU2TNyRroBmIJaO+qyymyNhS7UPS+ovQArf1vKRb2UOxCUYA1pRyR
 /vEU9MJ3nYFIdgFHO2ymgL0JWbOagTgQp7rM5nwXduq76gMbgdgBfAee6iR4
 +ozeR4H1LiA8m32gWzcFeJHxTOBsF0pDGfxh2kalDzYap7duC8DbjOQtSe+e
 LQBv2hrToEAsisiTgV6cxV1V6sF+n55ji1q/WSQE7otIa+A3f/mfPXIA/Y3/
 wjY8YR4OTyYAAAAASUVORK5CYII=

## openconnect-gui 0.5-6

=== debian/changelog ===
openconnect-gui (0.5-6) unstable; urgency=low

  * Updated icon

 -- Pascal Jermini <lorelei@garage.maemo.org>  Fri,  8 Jan 2010 01:07:46 +0100

=== debian/control ===
Source: openconnect-gui
Section: user/network
Priority: optional
Maintainer: Pascal Jermini <lorelei@garage.maemo.org>
Build-Depends: debhelper (>= 5), libgconf2-dev, libhildon1-dev, libgtk2.0-dev, pkg-config
Standards-Version: 3.7.2

Package: openconnect-gui
Architecture: any
Depends: ${shlibs:Depends}, openconnect (>=2.12-4maemo1), libhildon1
Description: GUI for OpenConnect VPN client
 This is a graphical interface for the OpenConnect VPN client. 
 OpenConnect is a free implementation of Cisco's AnyConnect SSL VPN, which is 
 supported by IOS 12.4(9)T or later on Cisco SR500, 870, 880, 1800, 2800, 3800,
 7200 Series and Cisco 7301 Routers. 
 Original webpage for OpenConnect: http://www.infradead.org/openconnect.html
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
 6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAAKYQAACmEB/MxKJQAAAAd0
 SU1FB9oBCAADJn6FQogAAAQrSURBVGje7Zrfa1xFFMc/ZyabH2aziqsgaRJK
 FWlqQkGroC+pobRQqLVIX9P/oJIH60vby20eKiEv0ifz4ltB0EC0BMSHpA+K
 QhRLxVaSaEpdA4VWmzbaJPfO+HBvupvN3b2bZHu3hR043J2ZO7Pf75wz55yZ
 XbHW8iQXxRNe6gTqBOoE6gSqU2RkpFVGR1ObHlerOCAXLjRx504fsB94G9gH
 LAPfApPAFI7zgwX72BEQ120HxkPQ5crnZDIDdnDwv8eGgLjuvhB8O/A38BUw
 idaX8f2nQ43sBw4DKWAaOGod56+aE5Bz545g7WdAC/ALcMQ6znzku0NDfRjz
 BZAFcsAB6zjXa7aJZWSkFWtHQ/CXaGl5qxR4AHvmzGXgDeBXYAfwcW290NLS
 IPACMA+8Z0+duhc3xDrO72j9DrAKHBTX7a8JAXHd54APgoqcto6zUulYe/r0
 HPBJWP2oVhr4EMgAP3P27MUtjB8C7gGvi+u+WwsCfeHqD8f59RKmdAv4NKz2
 14LA7gCJvbKNOdbGdidKQFy3A2gDfGB2G1NdrwkBRLoBMo2N85vZvMXl6xMn
 vtMiADvEdTNJmtBLAAd27ercziQHd+7k+dbWELV6MUkCKwAGGqs4p7f2oSHG
 fp9CqdewtgdoxPcbUEojorE2/wzm0aEUftZAGrg0f/fuzMWrV2luaNgy6pRS
 h4AVjJmLzYXk5Mkmstn3gdYQVCp8Fkup9qi+2+zZc9geP+4/+gNNNvsKIhoR
 L1RZlPib7Mty7Vp/Ne2znD67CmxNQlmnpIi24v6Nbda+CXzz6AkYY9Haw1op
 CSa6TbZIuMoElPKx1o8BWgmp4j6TlAmZQndVEJgk1AqbWOF8n4ifDAFjfJTy
 NoAHQQTWey+pwKRIVgNK+es0sAY+X4elpRRjY/3cvPkyHR1/cOzY96TTXllS
 gVkmcC8UqNorK1NTPczOvsrycpq5uV4mJ7srcK8mGQLBSgVfGkXGWp9crmPd
 mFyuvQx4P5SECCjlI+KX1URPz4+I5AH19l6JDWpV3sSqAi/kRa4+eOzdO0sq
 tfSQcFfXQgUROSENGOOXBQ8e4+N9rKy0he9rJib6Y9OJxDZx3gvlv7gQ/I0b
 bczMrM9rFhZ2Mz3dGbP5a6CBQuBrMjFxFGM23iZPTR0Kx/pJEIhLJaJzocXF
 RtLpBTKZLxFRKCUoJYgIIopcLk1n5/3IwJZYJF5dNWgdnQtlMv8yMDAWeQaw
 tvAMEBWVE9JAAD46FyodZeNSiqpH4oaYc6dXAnzlZ4Di5E9kORkCDx7cprn5
 mYrT5ajVj0r+lPopGS90/vw/wP2Hmih2q6XcaykR8RCZDS9rq3ftFPcDhwwP
 t7G4+CyplAYUnqdpalL4flBXKngao8MFCdrW6sZotDZY+5t1nD+rfm9W/7NH
 ncD2yv/g1fXxa0zBMwAAAABJRU5ErkJggg==

## openconnect-gui 0.5-7

=== Makefile ===
--- 
+++ 
@@ -21,6 +21,8 @@
 	install -m0755 openconnect-gui $(DESTDIR)/usr/bin
 	mkdir -p $(DESTDIR)/usr/share/applications/hildon/
 	install -m0644 debian/openconnect-gui.desktop $(DESTDIR)/usr/share/applications/hildon/
+	mkdir -p $(DESTDIR)/usr/share/icons/hicolor/48x48/apps/
+	install -m0644 openconnect-gui.png $(DESTDIR)/usr/share/icons/hicolor/48x48/apps/
 
 
 clean:

=== debian/changelog ===
openconnect-gui (0.5-7) unstable; urgency=low
  * [ENHANCEMENT] added extra field ("free_option") in the profile for the 
    openconnect command invocation, to allow adding new options such as --authgroup=GROUP 
  * [ENHANCEMENT] add by default the "--no-dtls" option due to bug in Nokia supplied openssl libs
  * [ENHANCEMENT] add by default the "--no-cert-check" option to ignore server cert validity checks
  * [BUGFIX] properly escaped the password field to allow all kind of characters

 -- Geert Steyaert <geert.steyaert@gmail.com>  Thu, 27 Jan 2011 17:08:00 +0100

=== debian/rules ===
--- 
+++ 
@@ -86,6 +86,8 @@
 	dh_strip
 	dh_compress
 	dh_fixperms
+	chmod 4755 $(CURDIR)/debian/openconnect-gui/usr/bin/openconnect-wrapper
+
 #	dh_perl
 #	dh_makeshlibs
 	dh_installdeb
